#include "qnewgameimpl.h"

/* 
 *  Constructs a QNewGameImpl which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
QNewGameImpl::QNewGameImpl( QWidget* parent, bool *hr, bool *ht, gameType *gt,
			    int *cp)
  : newGameDialog( parent, "New Game dialog", true ), heurisRev(hr),
    heurisTurn(ht), cheatProtection(cp),  type(gt)
{
  *heurisRev=true;
  *heurisTurn=true;
  *cheatProtection=1;
}

/*  
 *  Destroys the object and frees any allocated resources
 */
QNewGameImpl::~QNewGameImpl()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 * public slot
 */
void QNewGameImpl::newHotseat()
{
  *type = HOTSEAT;
  done(0);
}

/*
 * public slot
 */
void QNewGameImpl::newPBEM()
{
  *type = PBEM;
  done(0);
}

void QNewGameImpl::toggleHeuristicRevert(bool hr)
{ *heurisRev = hr; }

void QNewGameImpl::toggleHeuristicTurn(bool ht)
{ *heurisTurn = ht; }

void QNewGameImpl::toggleCheatEnable(bool click)
{ 
  if (click)
    *cheatProtection=1;
}

void QNewGameImpl::toggleCheatPartlyEnable(bool click)
{
  if (click)
    *cheatProtection=2;
}

void QNewGameImpl::toggleCheatDisable(bool click)
{
  if (click)
    *cheatProtection=3;
}
